<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_memcached', language 'et', version '3.11'.
 *
 * @package     cachestore_memcached
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bufferwrites'] = 'Puhvri kirjutamised';
$string['bufferwrites_help'] = 'Lubab või keelab puhverdatud sisendi/väljundi. Kui puhverdatud sisend/väljund on lubatud, kasutatakse salvestuskäsklustes saatmise asemel puhverdamist. Andmete toomise toiming korraldab puhvri saatmise kaugühenduse kaudu. Kui ühendus katkestatakse või suletakse, lükatakse puhverdatud andmed kaugühenduse kanalisse.';
$string['clustered'] = 'Luba kobarserverid';
$string['clustered_help'] = 'Seda kasutatakse, et lubada ühest kohast lugemise ja mitmesse kohta salvestamise funktsioon.

Ettenähtud kasutuse eesmärgiks on luua täiustatud salv koormuse tasakaalustusega konfiguratsioonide jaoks. Salv toob andmeid ühest serverist (tavaliselt localhost), aga saadab mitmesse (kõik koormusetasakaalustusega varamu serverid). See vähendab märgatavalt võrgu koormust vahemälude korral, millel on väga kõrge lugemise/saatmise suhe.

Kui see säte on lubatud, kasutatakse ülalnimetatud serverit toomiseks.';
$string['clusteredheader'] = 'Eralda serverid';
$string['hash'] = 'Räsimeetod';
$string['hash_crc'] = 'CRC';
$string['hash_default'] = 'Vaikeväärtus (korraga üks)';
$string['hash_fnv1_32'] = 'FNV1_32';
$string['hash_fnv1_64'] = 'FNV1_64';
$string['hash_fnv1a_32'] = 'FNV1A_32';
$string['hash_fnv1a_64'] = 'FNV1A_64';
$string['hash_help'] = 'Määrab üksuse võtmete jaoks kasutatava räsialgoritmi. Igal räsialgoritmil on oma plussid ja miinused. Kui te neid ei tea või need pole olulised, kasutage vaikeväärtust.';
$string['hash_hsieh'] = 'Hsieh';
$string['hash_md5'] = 'MD5';
$string['hash_murmur'] = 'Murmur';
$string['isshared'] = 'Jagatud vahemälu';
$string['isshared_help'] = 'Kas teie vahemäluserverit kasutavad ka teised rakendused?

Kui vahemälu jagatakse teiste rakendustega, kustutatakse iga võti eraldi, et tagada üksnes sellele rakendusele kuuluvate andmete eemaldamine (jättes välisrakenduse vahemälu andmed muutmata). Selle tagajärjeks võib olenevalt teie serveri konfiguratsioonist olla väiksem jõudlus vahemälu tühjendamise ajal.

Kui teil on selle rakenduse jaoks kasutusel spetsiaalne vahemälu, saate ohutult tühjendada kogu vahemälu ilma muude rakenduste vahemäluandmeid ohustamata. See peaks parandama ka vahemälu tühjendamise jõudlust.';
$string['pluginname'] = 'Vahemäluga';
$string['prefix'] = 'Võtme eesliide';
$string['prefix_help'] = 'Seda saab kasutada üksusevõtmete jaoks „domeen“ loomiseks, mis võimaldab ühes vahemäluga installis luua mitu vahemäluga salve. See võib sisaldada kuni 16 märki (siis ei teki võtme pikkuse probleeme).';
$string['prefixinvalid'] = 'Sobimatu eesliide. Lubatud on ainult a–Y A–Y 0–9-_.';
$string['privacy:metadata:memcached'] = 'Memcachedi vahemälu plugin salvestab andmeid lühidalt vahemälu funktsionaalsuse osana. Need andmed salvestatakse Memcache\'i serverisse, kust andmed regulaarselt eemaldatakse.';
$string['privacy:metadata:memcached:data'] = 'Vahemällu salvestatud erinevad andmed';
$string['serialiser_igbinary'] = 'Igbinary jadasti.';
$string['serialiser_json'] = 'JSON-i jadasti.';
$string['serialiser_php'] = 'PHP vaikejadasti.';
$string['servers'] = 'Serverid';
$string['servers_help'] = 'See määrab serverid, mida kasutab vahemäluga adapter.
Igale reale tuleb sisestada ühe serveri andmed: serveri aadress ja soovi korral port ning kaal.
Kui porti pole määratud, kasutatakse vaikeporti 11211.

Näiteks:
<pre>
server.url.com
ipaddress:port
serverinimi:port:kaal
</pre>

Kui allpool on lubatud säte *Luba kobarserverid*, peab siin olema ainult üks server. See on üldjuhul nimi, mis lahendatakse alati kohaliku serverina, nt 127.0.0.1 või localhost.';
$string['serversclusterinvalid'] = 'Kui kobarad on lubatud, on nõutav täpselt üks server.';
$string['sessionhandlerconflict'] = 'Hoiatus. Vahemäluga eksemplar ({$a}) on konfigureeritud kasutama seanssidega sama vahemäluga serverit. Kõigi vahemälude puhastamise korral eemaldatakse ka seansid.';
$string['setservers'] = 'Salvestamise serverid';
$string['setservers_help'] = 'Siin loendis on serverid, mille andmeid värskendatakse, kui vahemälus andmeid muudetakse. Üldiselt on see serveripargi iga serveri täielik nimi.
See **peab** sisaldama ülemise jaotise *Serverid* serverit, isegi kui kasutatakse muud hostinime.
Igale reale tuleb sisestada ühe serveri andmed: serveri aadress ja soovi korral port.
Kui porti pole määratud, kasutatakse vaikeporti 11211.

Näiteks:
<pre>
server.url.com
ipaddress:port
</pre>';
$string['testservers'] = 'Katseserverid';
$string['testservers_desc'] = 'Üks või mitu vahemäluga serverite ühendusestringi, mida katsetada. Kui katseserver on määratud, saab vahemälu jõudlust katsetada, kasutades haldusploki vahemälu jõudluse lehte.
Näide: 127.0.0.1:11211';
$string['upgrade200recommended'] = 'Soovitame kasutusele võtta Memcachedi PHP-laienduse versiooni 2.0.0 või uuema.
Teie praegune Memcachedi PHP-laiendus ei paku funktsioone, mida Moodle kasutab liivakastivahemälu tagamiseks. Soovitame, et te enne versiooniuuendust ei konfigureeriks ühtegi teist rakendust kasutama neid Memcachedi servereid, mida Moodle on kasutama konfigureeritud.';
$string['usecompression'] = 'Kasuta tihendamist';
$string['usecompression_help'] = 'Lubab või keelab tööandmete tihendamise. Kui see on lubatud tihendatakse teatud läviväärtusest (praegu 100 baiti) suuremad üksuseväärtused salvestamise käigus ja pakitakse toomise käigus lahti.';
$string['useserialiser'] = 'Kasuta jadastit';
$string['useserialiser_help'] = 'Määrab jadasti, mida kasutatakse mitteskalaarsete väärtuste jadastamisel.
Sobivad jadastid on Memcached::SERIALIZER_PHP ja Memcached::SERIALIZER_IGBINARY.
Viimast toetatakse ainult siis, kui vahemälu kasutamine on konfigureeritud sättega --enable-memcached-igbinary ja igbinary laiend on laaditud.';
