<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'report_security', language 'et', version '3.11'.
 *
 * @package     report_security
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['check_configrw_details'] = '<p>Pärast faili config.php installimist on soovitatav muuta selle kasutusõigusi, et veebiserver ei saaks seda faili muuta.
Võtke arvesse, et see meede ei paranda märkimisväärselt serveri turvalisust, kuid võib pidurdada või piirata üldisi turbeohte.</p>';
$string['check_configrw_name'] = 'Kirjutatav config.php';
$string['check_configrw_ok'] = 'PHP-skriptid ei saa faili config.php muuta.';
$string['check_configrw_warning'] = 'PHP-skriptid saavad faili config.php muuta.';
$string['check_cookiesecure_details'] = '<p>Kui lubate HTTPS-suhtluse, siis on soovitatav lubada ka turvalised küpsisefailid. Samuti peaksite lisama püsiva ümbersuunamise HTTP-lt HTTPS-ile. Ideaaljuhul kasutage ka HSTS-päiseid.</p>';
$string['check_cookiesecure_error'] = 'Lubage turvalised küpsised';
$string['check_cookiesecure_http'] = 'Turvaliste küpsiste kasutamiseks pead sisse lülitama https-i';
$string['check_cookiesecure_name'] = 'Turvalised küpsised';
$string['check_cookiesecure_ok'] = 'Turvalised küpsised on lubatud.';
$string['check_crawlers_details'] = '<p>Säte „Avatud Google\'ile“ võimaldab otsimootoritel siseneda kursustele külalispääsu kaudu. Kui külalisena sisselogimine pole lubatud, ei ole ka selle sätte lubamisel mõtet.</p>';
$string['check_crawlers_error'] = 'Otsimootorite juurdepääs on lubatud, aga külalispääs on keelatud.';
$string['check_crawlers_info'] = 'Otsimootorid saavad siseneda külalistena.';
$string['check_crawlers_name'] = 'Ava Google’is';
$string['check_crawlers_ok'] = 'Otsimootorite juurdepääs pole lubatud.';
$string['check_defaultuserrole_details'] = '<p>Kõigile sisselogitud kasutajatele antakse kasutaja vaikerolli tegevusload. Veenduge, et sellele rollile poleks määratud riskantseid tegevuslube.</p>
<p>Kasutaja vaikerolli ainuke toetatud pärandtüüp on <em>Autenditud kasutaja</em>. Kursuse vaatamise tegevusluba ei tohi anda.</p>';
$string['check_defaultuserrole_error'] = 'Kasutaja vaikeroll „{$a}“ on valesti määratletud!';
$string['check_defaultuserrole_name'] = 'Kõigi kasutajate vaikeroll';
$string['check_defaultuserrole_notset'] = 'Vaikerolli pole määratud.';
$string['check_defaultuserrole_ok'] = 'Kõigi kasutajate vaikerolli määratlus on sobiv.';
$string['check_displayerrors_details'] = '<p>PHP sätte <code>display_errors</code> töösaitidel lubamine pole soovitatav, sest tõrketeated võivad avaldada delikaatset teavet teie serveri kohta.</p>';
$string['check_displayerrors_error'] = 'PHP tõrgete kuvamise säte on lubatud. Soovitatavalt peaks see olema keelatud.';
$string['check_displayerrors_name'] = 'PHP tõrgete kuvamine';
$string['check_displayerrors_ok'] = 'PHP tõrgete kuvamine on keelatud.';
$string['check_emailchangeconfirmation_details'] = '<p>On soovitatav nõuda kasutajatelt meiliaadressi kinnitust, kui nad muudavad oma profiilis meiliaadressi. Kui see on keelatud, võivad rämpspostisaatjad proovida serverit rämpsposti saatmiseks ära kasutada.</p>
<p>Autentimislisandmoodulites võib meiliaadressiväli olla ka lukustatud, seda võimalust pole siin arvesse võetud.</p>';
$string['check_emailchangeconfirmation_error'] = 'Kasutajad võivad sisestada mis tahes meiliaadressi.';
$string['check_emailchangeconfirmation_info'] = 'Kasutajad võivad sisestada ainult lubatud domeenide meiliaadresse.';
$string['check_emailchangeconfirmation_name'] = 'Meiliaadressi muutmise kinnitus';
$string['check_emailchangeconfirmation_ok'] = 'Kasutaja profiilis meiliaadressi muutmise kinnitus.';
$string['check_embed_details'] = '<p>Piiramatu objektide manustamine on väga ohtlik – iga registreeritud kasutaja võib teiste serverikasutajate vastu käivitada XSS-ründe. Tööserverites peaks see säte olema keelatud.</p>';
$string['check_embed_error'] = 'Piiramatu objektide manustamine on lubatud – see on enamikule serveritele väga ohtlik.';
$string['check_embed_name'] = 'Siltide EMBED ja OBJECT lubamine';
$string['check_embed_ok'] = 'Piiramatu objektide manustamine pole lubatud.';
$string['check_frontpagerole_details'] = '<p>Esilehetegevuste jaoks antakse kõigile registreeritud kasutajatele esilehe vaikeroll. Veenduge, et sellele rollile poleks määratud riskantseid tegevuslube.</p>
<p>Soovitatav on selleks otstarbeks mitte kasutada pärandtüübi rolli, vaid luua eriroll.</p>';
$string['check_frontpagerole_error'] = 'Tuvastatud on valesti määratletud esileheroll „{$a}“!';
$string['check_frontpagerole_name'] = 'Esileheroll';
$string['check_frontpagerole_notset'] = 'Esileherolli pole määratud.';
$string['check_frontpagerole_ok'] = 'Esileherolli määratlus on sobiv.';
$string['check_guestrole_details'] = '<p>Külalisrolli kasutatakse külaliste jaoks, mitte sisselogitud kasutajate ega ajutiste külaliste kursusele juurdepääsu jaoks. Veenduge, et sellele rollile poleks määratud riskantseid tegevuslube.</p>
<p>Külalisrolli ainuke toetatud pärandtüüp on <em>Külaliskasutaja</em>.</p>';
$string['check_guestrole_error'] = 'Külalisroll „{$a}“ on valesti määratletud!';
$string['check_guestrole_name'] = 'Külalisroll';
$string['check_guestrole_notset'] = 'Külalisrolli pole määratud';
$string['check_guestrole_ok'] = 'Külalisrolli määratlus on sobiv.';
$string['check_mediafilterswf_details'] = '<p>Automaatne SWF-failide manustamine on väga ohtlik – iga registreeritud kasutaja võib teiste serverikasutajate vastu käivitada XSS-ründe. Keelake see tööserverites.</p>';
$string['check_mediafilterswf_error'] = 'Flash-meediumifailide filter on lubatud – see on enamikule serveritele väga ohtlik';
$string['check_mediafilterswf_name'] = 'SWF-meediumifailide filter on lubatud';
$string['check_mediafilterswf_ok'] = 'Flash-meediumifailide filter pole lubatud.';
$string['check_nodemodules_details'] = '<p>Kataloog<code> {$a->path}</code>sisaldab mooduleid Node.js ja nende sõltuvusi, mille tavaliselt installib NPM-utiliit. Neid mooduleid võib vaja minna kohaliku Moodle\'i arendamiseks, näiteks grunt raamistiku kasutamiseks. Neid ei ole vaja Moodle\'i saidi käitamiseks tootmises ja need võivad sisaldada potentsiaalselt ohtlikku koodi, mis võib sinu saidile tekitada kaugrünnakuid. </p><p>Kui sait on saadaval avaliku URL-i kaudu, on tungivalt soovitatav kataloog eemaldada, või vähemalt keelata sellele juurdepääs veebiserveri konfiguratsioonis.</p>';
$string['check_nodemodules_info'] = 'Kataloog node_modules ei tohiks avalikes saitides esineda.';
$string['check_nodemodules_name'] = 'Node.js moodulite kataloog';
$string['check_openprofiles_details'] = 'Avatud kasutajaprofiile võivad kuritarvitada rämpspostisaatjad. Soovitatav on lubada kas <code>Sundsisselogimine profiili vaatamiseks</code> või <code>Kasutajate sundsisselogimine</code>.';
$string['check_openprofiles_error'] = 'Kõik saavad vaadata kasutajaprofiile ilma sisse logimata.';
$string['check_openprofiles_name'] = 'Avatud kasutajaprofiilid';
$string['check_openprofiles_ok'] = 'Kasutajaprofiilide vaatamiseks on vaja sisse logida.';
$string['check_passwordpolicy_details'] = '<p>Kuna parooli äraarvamine on sageli lihtsaim viis volituseta juurdepääsu saamiseks, on soovitatav määrata paroolipõhimõtted.
Kuid ärge muutke nõudeid ka liiga karmiks, sest muidu võib juhtuda, et kasutajad pole enam võimelised oma paroole meeles pidama ja hakkavad neid unustama või kusagile üles kirjutama.</p>';
$string['check_passwordpolicy_error'] = 'Paroolipõhimõtted on määramata.';
$string['check_passwordpolicy_name'] = 'Paroolipõhimõtted';
$string['check_passwordpolicy_ok'] = 'Paroolipõhimõtted on lubatud.';
$string['check_preventexecpath_details'] = '<p>Täitmisteede haldus-GUI kaudu määramise lubamine on õiguste laiendamise vektor.</p>';
$string['check_preventexecpath_name'] = 'Täitmisteed';
$string['check_preventexecpath_ok'] = 'Täitmisteed saab määrata ainult failis config.php.';
$string['check_preventexecpath_warning'] = 'Täitmisteid saab määrata haldus-GUI-s.';
$string['check_riskadmin_detailsok'] = '<p>Kinnitage järgmine süsteemiadministraatorite loend:</p>{$a}';
$string['check_riskadmin_detailswarning'] = '<p>Kontrolli järgmist süsteemiadministraatorite loendit: </p> {$a->admins}
<p> Administraatori roll on soovitatav määrata ainult süsteemi kontekstis. Järgmistel kasutajatel on (toetamata) administraatori rollimäärangud teistes kontekstides:
</p>{$a-> unsupported}';
$string['check_riskadmin_name'] = 'Administraatorid';
$string['check_riskadmin_ok'] = 'Leitud serveriadministraatoreid: {$a}.';
$string['check_riskadmin_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) vaata üle rolli määramine</a>';
$string['check_riskadmin_warning'] = 'leidsin {$a->admincount} servieriadministraatoried {$a->unsupcount} toetamata administraatorirollide määramised.';
$string['check_riskbackup_details_overriddenroles'] = '<p>Need aktiivsed ülekirjutused annavad kasutajatele võimaluse kaasata varukoopiasse kasutajaandmed. Veenduge selle õiguse vajalikkuses.</p> {$a}';
$string['check_riskbackup_details_systemroles'] = '<p>Järgmised süsteemirollid võimaldavad praegu kasutajatel kaasata varukoopiasse kasutajaandmed. Veenduge selle õiguse vajalikkuses.</p> {$a}';
$string['check_riskbackup_details_users'] = '<p>Ülal loetletud rollide või kohalike ülekirjutuste tõttu on järgmistel kasutajakontodel praegu õigus teha varukoopiaid, mis sisaldavad kõigi nende kursusele registreerunud kasutajate privaatseid andmeid. Veenduge, et need oleksid a) usaldusväärsed ja b) keeruka parooliga kaitstud:</p> {$a}';
$string['check_riskbackup_detailsok'] = 'Ükski roll ei luba otseselt kasutajaandmete varundamist. Siiski tõenäoliselt saavad seda teha administraatorid, kellel on võime "tee ükskõikmida"';
$string['check_riskbackup_editoverride'] = '<a href="{$a->url}">{$a->name} kontekstis {$a->contextname}</a>';
$string['check_riskbackup_editrole'] = '<a href="{$a->url}">{$a->name}</a>';
$string['check_riskbackup_name'] = 'Kasutajaandmete varundus';
$string['check_riskbackup_ok'] = 'Ükski roll ei luba otseselt kasutajaandmete varundamist';
$string['check_riskbackup_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) kontekstis {$a->contextname}</a>';
$string['check_riskbackup_warning'] = 'Leitud on {$a->rolecount} rolli, {$a->overridecount} ülekirjutust ja {$a->usercount} kasutajat, kes saavad varundada kasutajaandmeid.';
$string['check_riskxss_details'] = '<p>RISK_XSS märgib kõiki riskantseid tegevuslube, mida tohivad kasutada ainult usaldusväärsed kasutajad.</p>
<p>Kontrollige järgmist kasutajate loendit ja veenduge, et usaldate neid selles serveris täielikult:</p><p>{$a}</p>';
$string['check_riskxss_name'] = 'XSS-i usaldusväärsed kasutajad';
$string['check_riskxss_warning'] = 'RISK_XSS – leitud on {$a} kasutajat, keda tuleb usaldada.';
$string['check_unsecuredataroot_details'] = '<p>Veebi kaudu ei tohi andmete juurkataloogile juurde pääseda. Parim viis tõkestada juurdepääs kataloogile on kasutada kataloogi, mis ei asu avalikus veebikataloogis.</p>
<p>Kataloogi teisaldamisel peate vastavalt värskendama failis <code>config.php</code> olevat sätet <code>$CFG->dataroot</code>.</p>';
$string['check_unsecuredataroot_error'] = 'Teie andmete juurkataloog <code>{$a}</code> on vales asukohas ja veebis kättesaadav!';
$string['check_unsecuredataroot_name'] = 'Ebaturvaline andmete juurkataloog';
$string['check_unsecuredataroot_ok'] = 'Veebi kaudu ei tohi andmete juurkataloogile juurde pääseda.';
$string['check_unsecuredataroot_warning'] = 'Teie andmete juurkataloog <code>{$a}</code> on vales asukohas ja võib olla veebis kättesaadav.';
$string['check_vendordir_details'] = '<p>Kataloog<code>{$a->path}</code>sisaldab mitmesuguseid kolmandate osapoolte teeke ja nende sõltuvusi, tavaliselt on PHP Composeri installitud. Neid teeke võib vaja minna kohaliku Moodle\'i arendamiseks, näiteks PHPUniti raamistiku installimiseks. Neid ei ole vaja Moodle\'i saidi käitamiseks tootmises ja need võivad sisaldada potentsiaalselt ohtlikku koodi, mis võib sinu  saidile tekitada kaugrünnakuid.</p><p>Kui sait on saadaval avaliku URL-i kaudu, on tungivalt soovitatav kataloog eemaldada, või vähemalt keela sellele juurdepääs veebiserveri konfiguratsioonis.</p>';
$string['check_vendordir_info'] = 'Müüja kataloog ei tohiks olla avalikel saitidel.';
$string['check_vendordir_name'] = 'Müüja kataloog';
$string['check_webcron_details'] = '<p>Kui käivitate cron-käsu veebibrauseris, võib privileegteave saada teatavaks anonüümsetele kasutajatele. Soovitatav on käitada croni ainult käsurealt või määrata kaugpöörduse jaoks croni parool.</p>';
$string['check_webcron_name'] = 'Veebicron';
$string['check_webcron_ok'] = 'Anonüümsed kasutajad ei saa cronile juurde pääseda.';
$string['check_webcron_warning'] = 'Anonüümsed kasutajad saavad cronile juurde pääseda.';
$string['configuration'] = 'Konfiguratsioon';
$string['description'] = 'Kirjeldus';
$string['details'] = 'Üksikasjad';
$string['eventreportviewed'] = 'Vaadatud turvakontrolli aruanne';
$string['issue'] = 'Probleem';
$string['pluginname'] = 'Turbeülevaade';
$string['privacy:metadata'] = 'Security overview plugin ei salvesta isikuandmeid.';
$string['security:view'] = 'Turbearuande vaatamine';
$string['timewarning'] = 'Andmete töötlemine võib võtta kaua aega. Palume olla kannatlik...';
