<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_aardvark', language 'et', version '3.11'.
 *
 * @package     theme_aardvark
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['android'] = 'Google Play poe URL';
$string['androiddesc'] = 'Sisestage oma Google Play poe lehe URL (nt https://play.google.com/store/apps/developer?id=mycollege)';
$string['apple'] = 'Apple’i rakendusepoe URL';
$string['appledesc'] = 'Sisestage oma Apple’i rakendusepoe URL (nt https://itunes.apple.com/gb/artist/my-college/id123456789)';
$string['basicheading'] = 'Põhisätted';
$string['basicheadingdesc'] = 'Saate kohandada kujunduse põhielemente.';
$string['ceop'] = 'CEOP';
$string['ceopaus'] = 'Luba Austraalia';
$string['ceopdesc'] = 'Luba CEOP teavitamine';
$string['ceopnone'] = 'Keelatud';
$string['ceopuk'] = 'Luba Suurbritannia';
$string['choosereadme'] = '<div class="clearfix">
<div class="well">
<h2>Aardvark</h2>
<p><img class=img-polaroid src="aardvark/pix/screenshot.jpg" /></p>
</div>
<div class="well">
<h3>Teave</h3>
<p>Aardvark on Moodle’i algne nn menüüribapõhine kujundus.</p>
<p>Aardvarki on aastate jooksul edasi arendatud ning Moodle’i põhikujundusse on integreeritud palju Aardvarki populaarseid funktsioone, näiteks kohandatud menüü ja kasutajamenüü.</p>
<p>Kujundus on lihtne ja inspireeritud Flat UI ja Google’i materjalide kujundusest.</p>
<h3>Eelkäijad</h3>
<p>Palju selle kujunduse põhielemente põhineb kujundustel Bootstrap ja Clean.</p>
<h3>Kujunduse autorid</h3>
<p>Autor: Shaun Daubney (Newbury kolledž)<br>
Kaastööd ja emakood: Bas Brands, David Scotson, Stuart Lamour, Mark Aberdour, Paul Hibbitts, Mary Evans.<br>
Veebisait: <a href="www.newbury-college.ac.uk">Newbury kolledž</a>
</p>
<h3>Veast teatamine:</h3>
<p><a href="https://moodle.org/plugins/view.php?plugin=theme_aardvark">https://moodle.org/plugins/view.php?plugin=theme_aardvark</a></p>
<h3>Rohkem teavet</h3>
<p><a href="aardvark/README.txt">Logi, litsentside ja versiooniteabe muutmine</a></p>
</div></div>';
$string['configtitle'] = 'Aardvark';
$string['copyright'] = 'Autoriõigus';
$string['copyrightdesc'] = 'Teie organisatsiooni nimi.';
$string['copyrightlink'] = 'Autoriõiguste link';
$string['copyrightlinkdesc'] = 'Teie organisatsiooni peaveebisaidi URL (nt http://www.minukool.edu.ee).';
$string['credit'] = 'Põhineb Shaun Daubney loodud algupärasel kujundusel';
$string['customcss'] = 'Kohandatud CSS';
$string['customcssdesc'] = 'Kõik CSS-i reeglid, mille sellele tekstialale lisate, kajastuvad kõigil lehtedel ja hõlbustavad kujunduse kohandamist.';
$string['customfooter'] = 'Kohandatud jalus';
$string['customfooterdesc'] = 'Selle tekstiala sisu kuvatakse iga lehe esimeses jalusealas või -tsoonis.';
$string['disclaimer'] = 'Lahtiütlus';
$string['disclaimerdesc'] = 'Selle tekstiala sisu kuvatakse iga lehe teises jalusealas või -tsoonis.';
$string['facebook'] = 'Facebooki URL';
$string['facebookdesc'] = 'Sisestage oma Facebooki lehe URL (nt http://www.facebook.com/minukool)';
$string['flickr'] = 'Flickri URL';
$string['flickrdesc'] = 'Sisestage oma Flickri lehe URL (nt http://www.flickr.com/minukool)';
$string['footeroptdesc'] = 'Saate kohandada kujunduse jaluse põhielemente.';
$string['footeroptheading'] = 'Jalus';
$string['frontpageheading'] = 'Esileht';
$string['frontpageheadingdesc'] = 'Saate kohandada esileheelemente, nagu kasutaja märguanded ja kuupäev.';
$string['generalalert'] = 'Üldine märguanne';
$string['generalalertdesc'] = 'See valik võimaldab kuvada esilehel märguande ja anda niimoodi kasutajatele kindla sündmuse või olukorra kohta soovitusi.';
$string['googleplus'] = 'Google+-i URL';
$string['googleplusdesc'] = 'Sisestage oma Google+-i profiili URL (nt http://plus.google.com/107817105228930159735)';
$string['instagram'] = 'Instagrami URL';
$string['instagramdesc'] = 'Sisestage oma Instagrami lehe URL (web.stagrami kaudu, nt http://web.stagram.com/n/minukool/)';
$string['linkedin'] = 'LinkedIni URL';
$string['linkedindesc'] = 'Sisestage oma LinkedIni profiili URL (nt http://www.linkedin.com/company/minukool)';
$string['maincolor'] = 'Põhivärv';
$string['maincolordesc'] = 'Saate muuta kujunduse põhivärvi. Selle hulka kuulub kursori liigutamine menüü ja URL-i kohal ning nupud.';
$string['pinterest'] = 'Pinteresti URL';
$string['pinterestdesc'] = 'Sisestage oma Pinteresti lehe URL (nt http://pinterest.com/minukool)';
$string['pluginname'] = 'Aardvark';
$string['region-side-post'] = 'Paremal';
$string['region-side-pre'] = 'Vasakul';
$string['sitelogo'] = 'Õpikeskkonna logo';
$string['sitename'] = 'Kuva õpikeskkonna nimi koos väikese logoga';
$string['sitenamedesc'] = 'Kui väikest logo pole, kuvatakse õpikeskkonna nimi alati navigeerimisribal. Kui väike logo on seadistatud, saab selle kuvada nii koos õpikeskkonna nimega kui ka ilma.';
$string['socialiconsheading'] = 'Suhtlusikoonid';
$string['socialiconsheadingdesc'] = 'Saate kohandada suhtlusvõrkude ikoone.';
$string['twitter'] = 'Twitteri URL';
$string['twitterdesc'] = 'Sisestage oma Twitteri kanali URL (nt http://www.twitter.com/minukool)';
$string['website'] = 'Veebisaidi URL';
$string['websitedesc'] = 'Sisestage oma peaveebisaidi URL (nt http://www.minukool.edu.ee)';
$string['wikipedia'] = 'Vikipeedia URL';
$string['wikipediadesc'] = 'Sisestage oma Vikipeedia-lehe URL (nt http://et.wikipedia.org/wiki/minukool)';
$string['youtube'] = 'YouTube’i URL';
$string['youtubedesc'] = 'Sisestage oma YouTube’i kanali URL (nt http://www.youtube.com/minukool)';
